#!/bin/bash

set -o errexit
set -o nounset

# Use watchfiles during development
if [ "${CELERY_WORKER_WATCH:-false}" = true ]; then
    watchfiles --filter python 'celery -A main.celery worker --loglevel=info'
else
   exec python -m celery -A main.celery worker --loglevel=info
fi
